Subject: Re: [RFC bpf-next 0/7] bpf: netdev TX metadata

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Jun 2023 18:50:46 -0700

On Thu, 15 Jun 2023 09:31:19 -0700 Stanislav Fomichev wrote:
> Timestamp might be a bit of an outlier here where it's just setting
> some bit in some existing descriptor.
> For some features, the drivers might have to reserve extra descriptors
> and I'm not sure how safe it would be to let the programs arbitrarily
> mess with the descriptor queues like that.

I was gonna say, most NICs will have some form of descriptor chaining,
with strict ordering, to perform reasonably with small packets.

> I'll probably keep this kfunc approach for v2 rfc for now (will try to
> get rid of the complicated attachment at least), but let's keep
> discussing.

SGTM, FWIW.